package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgYwAlm;

/**
 * 爆管液位相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgYwDao {

	/******** 爆管液位浓度报警状态 ********/
	public List<PgYwAlm> findAllSbjz();
	public PgYwAlm findSbjzById(Integer id);
	
	public List<PgYwAlm> findSbjzByDevice(Integer deviceid);
	public List<PgYwAlm> findSbjzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addSbjzRecord(PgYwAlm hsalm);
	public int addSbjzRecord(boolean status, String tm, int deviceid);
}
